SQLite 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1622981 漏洞类型 缓冲区错误
发布时间 2019-05-30 更新时间 2019-06-21
CVE编号 CVE-2019-8457 CNNVD-ID CNNVD-201905-1097
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201905-1097
|漏洞详情
SQLite是美国D.Richard Hipp软件开发者的一套基于C语言的开源嵌入式关系数据库管理系统。该系统具有独立性、隔离性、跨平台等特点。 SQLite 3.6.0版本至3.27.2版本中存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:www.sqlite.org

链接:https://www.sqlite.org/src/info/90acdbfce9c08858


来源:www.sqlite.org

链接:https://www.sqlite.org/releaselog/3_28_0.html


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-8457